Subject: Re: [bitcoin-dev] BIP - Block size doubles at each reward halving with max block size of 32M

From: Luke Dashjr <[email-masked]>
Date: Fri, 13 Nov 2015 22:28:46 +0000

On Friday, November 13, 2015 4:01:09 PM [email-masked] wrote:
> Forgive the frankness but I don't see why signaling your intent to support
> an upgrade to one side of a hard fork can be seen as a bad thing.  If for
> nothing else doesn't this make for a smoother flag day? (Because once you
> signal your intention, it makes it hard to back out on the commitment.)

It isn't a commitment in any sense, nor does it make it smoother, because for 
a hardfork to be successful, it is the *economy* that must switch entirely. 
The miners are unimportant.

> If miners don't have any choice in hard forks, who does? Just the core
> devs? 

Devs have even less of a choice in the matter. What is relevant is the 
economy: who do people want to spend their bitcoins with? There is no 
programmatic way to determine this, especially not in advance, so the best we 
can do is a flag day that gets called off if there isn't clear consensus.

Luke